package payment

import (
	"gitea.pena/PenaSide/treasurer/internal/payment_provider"
	"github.com/gofiber/fiber/v2"
)

type PaymentController struct {
	paymentProviders []payment_provider.PaymentProvider
}

// todo нужно реализовать как сказал Миша, без создания отдельного пакета
func NewPaymentController(paymentProviders []payment_provider.PaymentProvider) *PaymentController {
	return &PaymentController{
		paymentProviders: paymentProviders,
	}
}

func (r *PaymentController) Register(router fiber.Router) {
	// вебхуки для каждого провайдера
	for _, provider := range r.paymentProviders {
		provider.RegisterWebhookHandlers(router)
	}
}

func (r *PaymentController) Name() string {
	return ""
}
