package yandex

import "github.com/gofiber/fiber/v2"

func (r *YandexStatusController) Register(router fiber.Router) {
	router.Post("/yandex/payment/status/canceled", r.SetPaymentStatusCanceled)
	router.Post("/yandex/refund/status/succeeded", r.SetRefundStatusSucceeded)
	router.Post("/yandex/payment/status/succeeded", r.SetPaymentStatusSucceeded)
	router.Post("/yandex/payment/status/waiting", r.SetPaymentStatusWaiting)

}

func (r *YandexStatusController) Name() string {
	return ""
}
